> For a complete page index, fetch https://docs.transak.com/llms.txt # Get Order By ID GET https://api-gateway-stg.transak.com/api/v2/orders/{orderId} The **Get Order By ID** is an **authenticated API** that allows partners to **fetch details of a specific order** using its unique identifier. This API provides **detailed transaction information**, including order status, payment details, and wallet address. This API helps **track a particular order’s status** and ensures users can **monitor their transactions in real-time**. Reference: https://docs.transak.com/api/whitelabel/orders/get-order-by-id ## Request ### Path parameters - `orderId` (string, required) — orderId received from the API - api/v2/orders ### Headers - `x-user-ip` (string, required) — End user's originating IP. More details [here](/guides/mandatory-security-changes#user-ip-header-in-apis) - `x-api-key` (string, required) — Partner API Key present in Transak Dashboard. - `authorization` (string, optional) — Authorization token is the accessToken received from the API -` api/v2/auth/verify` Note: This is not applicable for [Auth Reliance Flows](/features/auth-reliance) - `x-user-identifier` (string, optional) — Your authenticated user Email Id address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) - `x-access-token` (string, optional) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) ## Response ### 200 200 - Success - `data` (ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaData, required) ## Errors ### 400 Bad Request Error 400 - Invalid Access Token - `error` (ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaError, required) ### 401 Unauthorized Error 401 - Unauthorized - `error` (ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaError, required) ### 404 Not Found Error 404 - User Not Found - `error` (ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaError, required) ### 500 Internal Server Error 500 - Internal Server Error - `error` (ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaError, required) ## Types ### ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaData - `orderId` (string, required) - `partnerUserId` (string, required) - `status` (string, required) - `isBuyOrSell` (string, required) - `fiatCurrency` (string, required) - `cryptoCurrency` (string, required) - `paymentMethod` (string, required) - `network` (string, required) - `networkId` (string, required) - `walletAddress` (string, required) - `quoteId` (string, required) - `fiatAmount` (integer, required) - `fiatAmountInUsd` (double, required) - `amountPaid` (integer, required) - `cryptoAmount` (double, required) - `conversionPrice` (double, required) - `totalFeeInFiat` (double, required) - `paymentDetails` (list of ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaDataPaymentDetailsItems, required) - `txHash` (string, required, nullable) - `walletLink` (string, required, nullable) - `transactionLink` (string, required) ### ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaError - `statusCode` (integer, required) - `message` (string, required) ### ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaDataPaymentDetailsItems - `fiatCurrency` (string, required) - `paymentMethod` (string, required) - `name` (string, required) - `fields` (list of ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaDataPaymentDetailsItemsFieldsItems, required) - `redirectUrl` (string, optional) — URL for Open Banking payment authorization (only present for Open Banking payments) ### ApiV2OrdersOrderIdGetResponsesContentApplicationJsonSchemaDataPaymentDetailsItemsFieldsItems - `name` (string, required) - `value` (string, required) ## Examples **Response** ```json { "data": { "orderId": "f34df59c-3ba4-41f1-962c-8c7945bf83ff", "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966", "status": "COMPLETED", "isBuyOrSell": "BUY", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "network": "ethereum", "networkId": "", "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "quoteId": "77f9e792-e806-4868-93df-5d688789d783", "fiatAmount": 18, "fiatAmountInUsd": 20.5, "amountPaid": 18, "cryptoAmount": 0.01134213, "conversionPrice": 0.0006820282621767891, "totalFeeInFiat": 1.37, "paymentDetails": [ { "fiatCurrency": "", "paymentMethod": "", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "18 GBP" }, { "name": "First Name (Beneficiary)", "value": "Jane" }, { "name": "Last Name (Beneficiary)", "value": "Doe" }, { "name": "IBAN", "value": "GB40SEOU19870010352376" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ], "txHash": "DUMMY_TX_ID", "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID" } } ``` **SDK Code** ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/orders/:orderId" headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/orders/:orderId'; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/orders/:orderId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/orders/:orderId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/orders/:orderId") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php Success request('GET', 'https://api-gateway-stg.transak.com/api/v2/orders/:orderId', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/orders/:orderId"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/orders/:orderId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```